Name:		commit-patch
Version:	2.4
Release:	%mkrel 3
Summary:	A utility that lets you check select portions of a file into a VCS
License:	GPLv2
URL:		http://porkrind.org/commit-patch/
Group:		Development/Tools
Source:		http://porkrind.org/commit-patch/%{name}-%{version}.tar.gz
BuildArch:	noarch

%description
Jim Radford and David Caldwell wrote a neat little utility that lets you check
in select portions of a file into Darcs, Git, CVS, Subversion, or Mercurial. It
comes as a command line app and also and emacs interface.

A blog entry (http://porkrind.org/missives/commit-patch-managing-your-mess)
about commit-patch provides some detailed information on why you might want to
use commit-patch.

commit-patch and commit-partial can make commiting partial changes easier with:
-darcs
-git
-mercurial
-cvs
-svn

commit-patch-buffer.el is an emacs interface to commit-patch. It allows you to
just hit C-c C-c in any patch buffer to apply and commit only the changes
indicated by the patch, regardless of the changes in your working directory. 

%prep
%setup -q

%install
install -d %{buildroot}/%{_bindir} %{buildroot}/%{_mandir}/man1/ %{buildroot}/%{_datadir}/emacs/site-lisp
install -m 755 %{name} %{buildroot}/%{_bindir}
install -m 644 %{name}.1 %{buildroot}/%{_mandir}/man1/
install -m 644 *.el %{buildroot}/%{_datadir}/emacs/site-lisp/
ln -s %{name} %{buildroot}/%{_bindir}/commit-partial
ln -s %{name}.1.%{_extension} %{buildroot}/%{_mandir}/man1/%{name}.1.%{_extension}

%files
%{_bindir}/commit-*
%{_mandir}/man1/commit-*.*
%{_datadir}/emacs/site-lisp/%{name}*.el


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.4-3.mga3
+ Revision: 348085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 26 2012 malo <malo> 2.4-2.mga3
+ Revision: 310367
- spec clean-up
- fix RPM group

* Thu Oct 04 2012 buchan <buchan> 2.4-1.mga3
+ Revision: 302736
- imported package commit-patch

